summaryrefslogtreecommitdiffstats
path: root/src/opkbuild.sh
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2014-09-21 12:26:22 (EDT)
committer P. J. McDermott <pj@pehjota.net>2014-09-21 12:26:22 (EDT)
commite992df524e42b68c5279068574c32768b1b5dbe4 (patch)
tree3e579c28465e35201cf202b8ae09844a3e88fc42 /src/opkbuild.sh
parent46e2f54b7fac437dba1d41bc0bc926e8c18dc4d2 (diff)
opkbuild: Set OPK_PACKAGES_REDUCED
Diffstat (limited to 'src/opkbuild.sh')
-rw-r--r--src/opkbuild.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/src/opkbuild.sh b/src/opkbuild.sh
index dfa3f40..dde438a 100644
--- a/src/opkbuild.sh
+++ b/src/opkbuild.sh
@@ -318,6 +318,23 @@ setup_build()
ob_get_binary_packages -a "${OPK_HOST_ARCH}" -P 'all'; \
ob_get_binary_packages -a 'all' -P "${OPK_HOST_PLAT}"; \
ob_get_binary_packages -a 'all' -P 'all')"
+ # This is an internal non-SPF variable. The definition of OPK_PACKAGES
+ # may change in future SPF versions.
+ OPK_PACKAGES_REDUCED="$(\
+ ob_get_binary_packages -a "${OPK_HOST_ARCH}" \
+ -P "${OPK_HOST_PLAT}")"
+ if ! ${opt_plat_dep}; then
+ OPK_PACKAGES_REDUCED="${OPK_PACKAGES_REDUCED} $(\
+ ob_get_binary_packages -a "${OPK_HOST_ARCH}" -P 'all')"
+ fi
+ if ! ${opt_arch_dep}; then
+ OPK_PACKAGES_REDUCED="${OPK_PACKAGES_REDUCED} $(\
+ ob_get_binary_packages -a 'all' -P "${OPK_HOST_PLAT}")"
+ if ! ${opt_plat_dep}; then
+ OPK_PACKAGES_REDUCED="${OPK_PACKAGES_REDUCED} $(\
+ ob_get_binary_packages -a 'all' -P 'all')"
+ fi
+ fi
eval "$('@@BINDIR@@/ob-buildenv' | sed 's/^/export /')"